Bug 196307 - [NEW PORT] sysutils/py-tmuxp: Session manager for tmux
Summary: [NEW PORT] sysutils/py-tmuxp: Session manager for tmux
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-patch, needs-qa, patch
Depends on: 196306 196358
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-27 19:45 UTC by Tony Narlock
Modified: 2015-03-22 15:03 UTC (History)
0 users

See Also:


Attachments
New port for tmuxp, session manager for tmux. (1.62 KB, application/x-shar)
2014-12-27 19:45 UTC, Tony Narlock
no flags Details
New port for tmuxp, session manager for tmux (1.59 KB, application/x-shar)
2014-12-27 20:48 UTC, Tony Narlock
no flags Details
New port for tmuxp (1.62 KB, application/x-shar)
2014-12-29 17:09 UTC, Tony Narlock
no flags Details
Poudriere output (29.07 KB, text/plain)
2014-12-29 17:10 UTC, Tony Narlock
no flags Details
New port for tmuxp (1.69 KB, application/x-shar)
2014-12-29 17:52 UTC, Tony Narlock
no flags Details
Poudriere build (29.41 KB, text/plain)
2014-12-29 17:54 UTC, Tony Narlock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Narlock 2014-12-27 19:45:56 UTC
Created attachment 151003 [details]
New port for tmuxp, session manager for tmux.

From python ports wishlist: https://wiki.freebsd.org/Python/PortsWishlist. I created this python script. This is my first port (along with https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196306), thank you for being patient with me!
Comment 1 Tony Narlock 2014-12-27 20:36:29 UTC
> $ portlint -ACNc
> WARN: Makefile: no port directory /usr/ports/devel/py-kaptan found, even though it is listed in RUN_DEPENDS.
> 0 fatal errors and 1 warning found.


/usr/ports/devel/py-kaptan is #196306
Comment 2 Tony Narlock 2014-12-27 20:48:43 UTC
Created attachment 151008 [details]
New port for tmuxp, session manager for tmux

Use only one WWW in pkg-descr

> $ portlint -ACNc                                                 
> WARN: Makefile: no port directory /usr/ports/devel/py-kaptan found, even though it is listed in RUN_DEPENDS.
> 0 fatal errors and 1 warning found.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2014-12-29 05:11:09 UTC
Same QA outputs requested here as for bug 196306

Nice work, and thanks for fulfilling a Python Port Wishlist item!
Comment 4 Tony Narlock 2014-12-29 17:09:14 UTC
Created attachment 151075 [details]
New port for tmuxp

Updated to address QA issues (pypi URL for WWW, LICENSE_FILE, USE_*/USES order)
Comment 5 Tony Narlock 2014-12-29 17:10:24 UTC
Created attachment 151076 [details]
Poudriere output

Poudriere build output attached
Comment 6 Tony Narlock 2014-12-29 17:31:25 UTC
I forgot something, we need a port for py-argcomplete as a dependency also.  I will follow up.
Comment 7 Tony Narlock 2014-12-29 17:52:38 UTC
Created attachment 151080 [details]
New port for tmuxp

uses devel/py-argcomplete and devel/py-kaptan dependencies.

- py-argcomplete ticket: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196358
Comment 8 Tony Narlock 2014-12-29 17:54:35 UTC
Created attachment 151081 [details]
Poudriere build

Ok, added py-argcomplete to shar. This is the updated build output.
Comment 9 commit-hook freebsd_committer 2015-03-22 14:59:46 UTC
A commit references this bug:

Author: sunpoet
Date: Sun Mar 22 14:59:38 UTC 2015
New revision: 381924
URL: https://svnweb.freebsd.org/changeset/ports/381924

Log:
  - Add py-tmuxp 0.1.12

  Load and save tmux sessions in JSON or YAML. Control tmux through
  python API.

  WWW: https://pypi.python.org/pypi/tmuxp

  PR:		196307
  Submitted by:	Tony Narlock <tony@git-pull.com>

Changes:
  head/sysutils/Makefile
  head/sysutils/py-tmuxp/
  head/sysutils/py-tmuxp/Makefile
  head/sysutils/py-tmuxp/distinfo
  head/sysutils/py-tmuxp/pkg-descr
Comment 10 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-03-22 15:03:58 UTC
Committed. Thanks!